package com.yeejoin.amos.boot.module.jczs.flc.biz.service.impl;

import com.yeejoin.amos.boot.module.jczs.flc.api.entity.EquipmentAssociated;
import com.yeejoin.amos.boot.module.jczs.flc.api.mapper.EquipmentAssociatedMapper;
import com.yeejoin.amos.boot.module.jczs.flc.api.service.IEquipmentAssociatedService;
import com.yeejoin.amos.boot.module.jczs.flc.api.dto.EquipmentAssociatedDto;
import org.typroject.tyboot.core.rdbms.service.BaseService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import java.util.List;

/**
 * 配套设备/设施/部件服务实现类
 *
 * @author system_generator
 * @date 2021-11-26
 */
@Service
public class EquipmentAssociatedServiceImpl extends BaseService<EquipmentAssociatedDto,EquipmentAssociated,EquipmentAssociatedMapper> implements IEquipmentAssociatedService {
    /**
     * 分页查询
     */
    public Page<EquipmentAssociatedDto> queryForEquipmentAssociatedPage(Page<EquipmentAssociatedDto> page)   {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<EquipmentAssociatedDto> queryForEquipmentAssociatedList()   {
        return this.queryForList("" , false);
    }

    @Override
    public EquipmentAssociatedDto updateAssociated(EquipmentAssociatedDto model) {
        this.updateWithModel(model);
        return model;
    }
}